Subject: Re: bug#50186: Shell in emacs very annoying using zsh

From: "周任飞" <[email-masked]>
Date: Sat, 28 Aug 2021 17:26:36 +0800

Hello Juri,

&gt; Actually, I see no problems with multi-line prompts in Emacs.
&gt; I tried to use "\n" in PS1 in bash, and then run M-x shell.
&gt; No problems noticed :)

Wow! That's surprising to me.
Maybe I should show my zsh config file that generating this bug:

export ZSH="/home/friend/.oh-my-zsh"
ZSH_THEME="ys"
plugins=(git)
source $ZSH/oh-my-zsh.sh
export DISPLAY=`cat /etc/resolv.conf | grep nameserver | awk '{print $2}'`:0.0
export PATH="/home/friend/.local/bin:$PATH"

Here I used "ys" theme of oh-my-zsh, and it has multi-line prompt.
By the way, I tested bash with multi-line prompt, as you said. No problem.
So the problem comes from zsh?